import * as v from 'valibot';
import type { vJsonRecord } from './u-dcql.js';
export declare namespace DcqlMdocRepresentation {
    const vNamespaces: v.RecordSchema<v.StringSchema<undefined>, v.RecordSchema<v.StringSchema<undefined>, v.UnknownSchema, undefined>, undefined>;
    type NameSpaces = Record<string, Record<string, unknown>>;
    interface Credential {
        docType: string;
        namespaces: NameSpaces;
    }
}
export type DcqlMdocRepresentation = DcqlMdocRepresentation.Credential;
export declare namespace DcqlSdJwtVcRepresentation {
    type Claims = v.InferOutput<typeof vJsonRecord>;
    interface Credential {
        vct: string;
        claims: Claims;
    }
}
export type DcqlSdJwtVcRepresentation = DcqlSdJwtVcRepresentation.Credential;
export declare namespace DcqlW3cVcRepresentation {
    type Claims = v.InferOutput<typeof vJsonRecord>;
    interface Credential {
        claims: Claims;
    }
}
export type DcqlW3cVcRepresentation = DcqlW3cVcRepresentation.Credential;
export type DcqlCredentialRepresentation = DcqlMdocRepresentation | DcqlSdJwtVcRepresentation | DcqlW3cVcRepresentation;
export type DcqlPresentationRepresentation = DcqlMdocRepresentation | DcqlSdJwtVcRepresentation | DcqlW3cVcRepresentation;
//# sourceMappingURL=u-dcql-credential-representation.d.ts.map