import * as v from 'valibot';
export declare const idRegex: RegExp;
export declare const vCredentialFormat: v.PicklistSchema<["mso_mdoc", "vc+sd-jwt", "jwt_vc_json", "jwt_vc_json-ld"], undefined>;
export declare const vNonEmptyArray: <T extends unknown[]>() => v.CustomSchema<[T[number], ...T], undefined>;
export declare const vIdString: v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>;
export type Json = string | number | boolean | null | {
    [key: string]: Json;
} | Json[];
export declare const vJsonLiteral: v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>, v.NullSchema<undefined>], undefined>;
export type JsonLiteral = v.InferOutput<typeof vJsonLiteral>;
export declare const vJsonArray: v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>, v.NullSchema<undefined>], undefined>, undefined>;
export declare const vJson: v.GenericSchema<Json>;
export declare const vJsonRecord: v.RecordSchema<v.StringSchema<undefined>, v.GenericSchema<Json, Json, v.BaseIssue<unknown>>, undefined>;
export type JsonRecord = v.InferOutput<typeof vJsonRecord>;
export declare const vJsonValue: v.UnionSchema<[v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>, v.NullSchema<undefined>], undefined>, v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>, v.NullSchema<undefined>], undefined>, undefined>, v.RecordSchema<v.StringSchema<undefined>, v.GenericSchema<Json, Json, v.BaseIssue<unknown>>, undefined>], undefined>;
export declare const vStringToJson: v.RawTransformAction<string, Json>;
export declare const vParseSuccess: v.ObjectSchema<{
    readonly success: v.LiteralSchema<true, undefined>;
    readonly typed: v.LiteralSchema<true, undefined>;
    readonly output: v.UnknownSchema;
    readonly issues: v.OptionalSchema<v.UndefinedSchema<undefined>, never>;
    readonly credential_index: v.NumberSchema<undefined>;
    readonly claim_set_index: v.UnionSchema<[v.NumberSchema<undefined>, v.UndefinedSchema<undefined>], undefined>;
}, undefined>;
export declare const vParseFailure: v.ObjectSchema<{
    readonly success: v.LiteralSchema<false, undefined>;
    readonly typed: v.BooleanSchema<undefined>;
    readonly output: v.UnknownSchema;
    readonly issues: v.SchemaWithPipe<[v.ArraySchema<v.UnknownSchema, undefined>, v.CustomSchema<[unknown, ...unknown[]], undefined>]>;
    readonly credential_index: v.NumberSchema<undefined>;
    readonly claim_set_index: v.UnionSchema<[v.NumberSchema<undefined>, v.UndefinedSchema<undefined>], undefined>;
}, undefined>;
export declare const vParseResult: v.UnionSchema<[v.ObjectSchema<{
    readonly success: v.LiteralSchema<true, undefined>;
    readonly typed: v.LiteralSchema<true, undefined>;
    readonly output: v.UnknownSchema;
    readonly issues: v.OptionalSchema<v.UndefinedSchema<undefined>, never>;
    readonly credential_index: v.NumberSchema<undefined>;
    readonly claim_set_index: v.UnionSchema<[v.NumberSchema<undefined>, v.UndefinedSchema<undefined>], undefined>;
}, undefined>, v.ObjectSchema<{
    readonly success: v.LiteralSchema<false, undefined>;
    readonly typed: v.BooleanSchema<undefined>;
    readonly output: v.UnknownSchema;
    readonly issues: v.SchemaWithPipe<[v.ArraySchema<v.UnknownSchema, undefined>, v.CustomSchema<[unknown, ...unknown[]], undefined>]>;
    readonly credential_index: v.NumberSchema<undefined>;
    readonly claim_set_index: v.UnionSchema<[v.NumberSchema<undefined>, v.UndefinedSchema<undefined>], undefined>;
}, undefined>], undefined>;
//# sourceMappingURL=u-dcql.d.ts.map